<template>
    <section class="counter-component">
        <header class="title">Component with <strong>{{ name }}</strong> counter</header>
        <div class="counters">
            <slot />
        </div>
        <button @click="e => $emit('increase')">Increase count*</button>
        <div class="info">{{ info }}</div>
    </section>
</template>


<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator';


@Component
export default class ComponentView extends Vue {

    @Prop() name!: string;
    @Prop() info!: string;
}
</script>


<style scoped lang="scss">
@import "../variables";

.counter-component {
    width: unquote("calc(100% - " + ($space-2) + ")");
    padding: $space-2;
    margin: $space;
    box-sizing: border-box;
    border: 1px solid $colour--grey-light;
}

.title {
    text-align: center;
}

.counters {
    display: flex;
    justify-content: space-around;
    margin: $space-3 0;
}

.counter-title {
    font-size: 0.8em;
}

.counter-value {
    font-size: 2em;
}

button {
    border: 1px solid $colour--grey-light;
    padding: $space;
    margin: 0 auto;
    cursor: pointer;
    display: block;
    width: 100%;

    &:hover {
        background: $colour--grey-light;
    }
}

.info {
    font-size: 0.8em;
    text-align: center;
    margin-top: $space;
}

@media screen and (max-width: $screen-width--very-small) {

    .counters {
        flex-direction: column;
    }
}
</style>
